]> mj.ucw.cz Git - eval.git/commitdiff
Maint: Uploading of documentation
authorMartin Mares <mj@ucw.cz>
Mon, 24 Sep 2012 16:27:54 +0000 (18:27 +0200)
committerMartin Mares <mj@ucw.cz>
Mon, 24 Sep 2012 16:27:54 +0000 (18:27 +0200)
maint/release
maint/upload-doc [new file with mode: 0755]

index 4d189b1643b6c8233f4b9de96b23ebe29bc69e62..450e69410e8da2cf76732cc727e9080c01d127d1 100755 (executable)
@@ -23,6 +23,6 @@ $r->GenFile("README");
 $r->Dispatch;
 
 if ($r->{"do_upload"}) {
-       print "Updating documentation at Jabberwock\n";
-       `rsync -av --delete doc/. jabberwock.ucw.cz:/var/www/moe/`; die if $?;
+       system "doc/upload";
+       die if $?;
 }
diff --git a/maint/upload-doc b/maint/upload-doc
new file mode 100755 (executable)
index 0000000..488ede4
--- /dev/null
@@ -0,0 +1,4 @@
+#!/bin/sh
+echo "Updating documentation at Jabberwock"
+make docs
+rsync -av --delete doc/. obj/isolate/isolate.1.html obj/isolate/docbook-xsl.css jabberwock.ucw.cz:/var/www/moe/